# m3e/opt_group

OptGroup is groups options under a subheading.

This file was generated: By: m3e/generator version 0.1.0 At: 2026-05-05T14:38:23+10:00

         DO NOT EDIT

# Types

## OptGroup

opaque </>

OptGroup is a View Model for this component

    pub opaque type OptGroup

## Slot

</>

Slots are used in child elements to insert content into this component

    pub type Slot {
      Label
    }

### Constructors

-     Label

# Values

## new

</>

    pub fn new() -> OptGroup

new creates a new OptGroup with the default configuration.

## render

</>

    pub fn render(
      arg: OptGroup,
      attributes: List(attribute.Attribute(msg)),
      children: List(element.Element(msg)),
    ) -> element.Element(msg)

render creates a Lustre Element for a OptGroup

## slot

</>

    pub fn slot(s: Slot) -> attribute.Attribute(msg)

slot returns a Lustre Attribute(msg) for the given slot name

✨